package com.foreverwin.mesnac.integration.controller;


import com.foreverwin.mesnac.integration.model.IntegrationLog;
import com.foreverwin.mesnac.integration.service.IntegrationLogService;
import com.foreverwin.modular.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 *
 * @author Leon.L
 * @since 2021-06-16
 */
@RestController
@RequestMapping("/Z-INTEGRATION-LOG")
public class IntegrationLogController {
    @Autowired
    private IntegrationLogService integrationLogService;
    @ResponseBody
    @PostMapping("redoSend")
    public R shopOrderRelease(@RequestBody List<IntegrationLog> integrationLogs) {

        for (IntegrationLog integrationLog: integrationLogs) {
            integrationLogService.redoSend(integrationLog.getHandle());
        }
        return R.ok();
    }

}